|  | Contents | Index
Codec.Encryption.Blowfish |
Portability | non-portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Function Types
Description
Takes the Blowfish module supplied by Doug Hoyte and wraps it so it can used with the standard modes.
Synopsis
encrypt :: Integral a => a -> Word64 -> Word64
decrypt :: Integral a => a -> Word64 -> Word64
Function Types
encrypt :: Integral a => a -> Word64 -> Word64
Basic Blowfish encryption which takes a key and a block of plaintext and returns the encrypted block of ciphertext according to the standard. Typical keys are Word8, Word16, Word32, Word64, Word128. See http://www.counterpane.com/vectors.txt.
decrypt :: Integral a => a -> Word64 -> Word64
Basic Blowfish decryption which takes a key and a block of ciphertext and returns the decrypted block of plaintext.
Produced by Haddock version 0.6